Jump to content
DiRT Rally 2.0 - New Player Guide Read more... ×

Weird graphic error, F1 2019, Radeon Pro 580

Recommended Posts

Has anyone similar promlem, like on the attached image?

The latest 1.22 patch

Win 10, Radeon Pro 580 8GB

IMG_2561.JPG

Share this post


Link to post
Share on other sites
15 hours ago, RoadkilleR78 said:

Has anyone similar promlem, like on the attached image?

The latest 1.22 patch

Win 10, Radeon Pro 580 8GB

IMG_2561.JPG

Update your graphics drivers *sigh*

Share this post


Link to post
Share on other sites

Yeah, that was the first thing a tried to do.

I have an iMac. I installed the windows with bootcamp. The driver version is 17.1.1 It says it's the latest.

Share this post


Link to post
Share on other sites
15 hours ago, RoadkilleR78 said:

Yeah, that was the first thing a tried to do.

I have an iMac. I installed the windows with bootcamp. The driver version is 17.1.1 It says it's the latest.

Which card do you actually have? 

20.3.1 is the optional and 20.2.2 is the recommended for most supported AMD product lines.

Share this post


Link to post
Share on other sites

I have an iMac with a radeon Pro 580 8GB.

I installed a new driver, the newset I've found is 19.30. It's just came out a couple of days ago. It seams ok, it solved most of my problems with graphic. But when I start the game it says that the driver is too old. It didn't says nothing with the much older driver 🙂 

Tanks a lot!

Share this post


Link to post
Share on other sites
Posted (edited)
19 hours ago, RoadkilleR78 said:

I have an iMac with a radeon Pro 580 8GB.

I installed a new driver, the newset I've found is 19.30. It's just came out a couple of days ago. It seams ok, it solved most of my problems with graphic. But when I start the game it says that the driver is too old. It didn't says nothing with the much older driver 🙂 

Tanks a lot!

The drivers you have don't follow the Windows release cycle. For any other Mac user, here is the Boot Camp driver page https://www.amd.com/en/support/kb/release-notes/apple-boot-camp

Since Patch 1.06 the recommended minimum driver release is 19.5.2

Edited by steviejay69

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×